Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker Class Reference

`#include <PolicyS.h>`

Inheritance diagram for POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker:

[legend]
Collaboration diagram for POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker:

[legend]
List of all members.

## Public Member Functions
| _TAO_Policy_Strategized_Proxy_Broker (void)
virtual | ~_TAO_Policy_Strategized_Proxy_Broker (void)
TAO::Collocation_Strategy | get_strategy (CORBA::Object_ptr obj) throw (CORBA::SystemException)
void | dispatch (CORBA::Object_ptr obj, CORBA::Object_out forward_obj, TAO::Argument **args, int num_args, const char *op, size_t op_len, TAO::Collocation_Strategy strategy) throw (CORBA::Exception)
## Static Public Member Functions
_TAO_Policy_Strategized_Proxy_Broker * | the_TAO_Policy_Strategized_Proxy_Broker (void)

## Constructor & Destructor Documentation

POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker::_TAO_Policy_Strategized_Proxy_Broker | ( | void |  | ) |

POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker::~_TAO_Policy_Strategized_Proxy_Broker | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker::dispatch | ( | CORBA::Object_ptr | obj,
|  | CORBA::Object_out | forward_obj,
|  | TAO::Argument ** | args,
|  | int | num_args,
|  | const char * | op,
|  | size_t | op_len,
|  | TAO::Collocation_Strategy | strategy
| ) | throw (CORBA::Exception)

TAO::Collocation_Strategy POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker::get_strategy | ( | CORBA::Object_ptr | obj | ) | throw (CORBA::SystemException)`[virtual]`

| Implements TAO::Collocation_Proxy_Broker.

POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker * POA_CORBA::_TAO_Policy_Strategized_Proxy_Broker::the_TAO_Policy_Strategized_Proxy_Broker | ( | void |  | ) | `[static]`

The documentation for this class was generated from the following files:

- PolicyS.h
- PolicyS.cpp